Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.model
Class ProtocolInfo

    java.lang.Object
      org.fourthline.cling.support.model.ProtocolInfo

Direct Known Subclasses:
  DLNAProtocolInfo

    public class ProtocolInfo

extends Object

Encaspulates a MIME type (content format) and transport, protocol, additional information.

Author:
  Christian Bauer

Field Summary
`protected String` | `additionalInfo`
`protected String` | `contentFormat`
`protected String` | `network`
`protected Protocol` | `protocol`
`static String` | `WILDCARD`

Constructor Summary
`ProtocolInfo(org.seamless.util.MimeType contentFormatMimeType)`
`ProtocolInfo(Protocol protocol, String network, String contentFormat, String additionalInfo)`
`ProtocolInfo(String s)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getAdditionalInfo()`
`String` | `getContentFormat()`
`org.seamless.util.MimeType` | `getContentFormatMimeType()`
`String` | `getNetwork()`
`Protocol` | `getProtocol()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### WILDCARD

    public static final String WILDCARD

See Also:
  Constant Field Values

### protocol

    protected Protocol protocol

### network

    protected String network

### contentFormat

    protected String contentFormat

### additionalInfo

    protected String additionalInfo

Constructor Detail

### ProtocolInfo

    public ProtocolInfo(String s)
                 throws InvalidValueException

Throws:
  `InvalidValueException`

### ProtocolInfo

    public ProtocolInfo(org.seamless.util.MimeType contentFormatMimeType)

### ProtocolInfo

    public ProtocolInfo(Protocol protocol,
                        String network,
                        String contentFormat,
                        String additionalInfo)

Method Detail

### getProtocol

    public Protocol getProtocol()

### getNetwork

    public String getNetwork()

### getContentFormat

    public String getContentFormat()

### getContentFormatMimeType

    public org.seamless.util.MimeType getContentFormatMimeType()
                                                        throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### getAdditionalInfo

    public String getAdditionalInfo()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.